# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit distutils

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="Open Source Computer System Management and its Python plugins."
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/server/sources/${MY_PV}/${MY_P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="nls"

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=app-admin/pulse2-common-${MY_PV}
	>=app-admin/mmc-agent-2.3.1"

DEPEND=">=dev-python/setuptools-0.6_rc1"

S="${WORKDIR}/${PN}-${MY_PV}"

# from marienz's setuptools.eclass:
src_install() {
	"${python}" setup.py install --root="${D}" --no-compile "$@" || die "install failed"
	insinto etc/mmc/plugins
	doins -r conf/plugins/*.ini || die "ini install failed"
	insinto usr/share/doc/${P}
	doins -r contrib || die "config samples install failed"
	dodoc Changelog
	python_version
	# we need to remove this file because it collides with the one
	# from mmc-agent (which we depend on).
	rm "${D}/usr/$(get_libdir)/python${PYVER}/site-packages/mmc/__init__.py"
	rm "${D}/usr/$(get_libdir)/python${PYVER}/site-packages/mmc/plugins/__init__.py"
}

